summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Cloos <cloos@jhcloos.com>2009-07-14 16:16:35 -0400
committerJames Cloos <cloos@jhcloos.com>2009-07-14 16:16:35 -0400
commit66023931002b51f4a5c218a07dc795640af0b6ca (patch)
treee66e9f1158fafcfd22ac6113cbb26e52b0815308
parentcefdd0661343e9838669782e7da651401236214f (diff)
Update x11-libs/cairo based on static version in portage
-rw-r--r--x11-libs/cairo/Manifest2
-rw-r--r--x11-libs/cairo/cairo-9999.ebuild62
2 files changed, 33 insertions, 31 deletions
diff --git a/x11-libs/cairo/Manifest b/x11-libs/cairo/Manifest
index 166b8dc..c400f11 100644
--- a/x11-libs/cairo/Manifest
+++ b/x11-libs/cairo/Manifest
@@ -1,2 +1,2 @@
AUX 22336.patch 37911 RMD160 c559f8fd652d934bd8ed2f335b017bc6f8e6e6a1 SHA1 995dbecce96f10bb825ccbde8e558a682328bc00 SHA256 ad8177531d4b7ffa8d6016fa0057a722c769d744df5c546c1d876ced58d6cacc
-EBUILD cairo-9999.ebuild 2540 RMD160 5e7a1be04a053f8bd7bbda0bbec1a34aa0c99e45 SHA1 a84aad6d8786a535b9cb185a163a1f3b098be2fa SHA256 b0e83ec48e6412437a9e09948dd43248c19242cb9bc54f6fa24c069feaf87df5
+EBUILD cairo-9999.ebuild 2728 RMD160 059520fabfdb916c00a6ddda2271509dfdff79b7 SHA1 257c54ee454aae9b658ff7ba9858e2c3458f93ce SHA256 96a768848a3c034960a4f05fa7f1b1373f76e1f4855166afc51688052833ae66
diff --git a/x11-libs/cairo/cairo-9999.ebuild b/x11-libs/cairo/cairo-9999.ebuild
index 845017f..abe5f45 100644
--- a/x11-libs/cairo/cairo-9999.ebuild
+++ b/x11-libs/cairo/cairo-9999.ebuild
@@ -1,19 +1,20 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/cairo/cairo-1.8.4.ebuild,v 1.1 2008/12/04 16:45:36 cardoe Exp $
-inherit autotools eutils flag-o-matic git libtool
+EAPI=2
+
+inherit autotools flag-o-matic libtool git
-EGIT_PATCHES="${FILESDIR}/*.patch"
EGIT_REPO_URI="git://anongit.freedesktop.org/git/cairo"
DESCRIPTION="A vector graphics library with cross-device output support"
HOMEPAGE="http://cairographics.org/"
+SRC_URI=""
LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
-IUSE="cairoscript debug directfb doc glitz opengl sdl svg X xcb"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE="+cairoscript +cleartype debug directfb doc glitz opengl sdl svg X xcb"
# Test causes a circular depend on gtk+... since gtk+ needs cairo but test needs gtk+ so we need to block it
RESTRICT="test"
@@ -31,13 +32,12 @@ RDEPEND="media-libs/fontconfig
x11-libs/libX11
x11-libs/libXft )
xcb? ( >=x11-libs/libxcb-0.92
- x11-libs/xcb-util )
- sdl? ( >=media-libs/sdl-1.2 )"
+ x11-libs/xcb-util )"
# test? (
# pdf test
# x11-libs/pango
# >=x11-libs/gtk+-2.0
-# >=app-text/poppler-bindings-0.9.2
+# >=app-text/poppler-bindings-0.9.2[gtk]
# ps test
# virtual/ghostscript
# svg test
@@ -51,30 +51,22 @@ DEPEND="${RDEPEND}
X? ( x11-proto/renderproto )
xcb? ( x11-proto/xcb-proto )"
-#pkg_setup() {
-# if ! built_with_use app-text/poppler-bindings gtk ; then
-# eerror 'poppler-bindings with gtk is required for the pdf backend'
-# die 'poppler-bindings built without gtk support'
-# fi
-#}
-
-src_unpack() {
- git_src_unpack
-
- # from autogen.sh
- > boilerplate/Makefile.am.features
- > src/Makefile.am.features
- touch ChangeLog
-
+src_prepare() {
+ # ClearType-like patches applied by ArchLinux
+ use cleartype && epatch "${FILESDIR}"/22336.patch
+ ./autogen.sh
eautoreconf
+
+ # We need to run elibtoolize to ensure correct so versioning on FreeBSD
+ elibtoolize
}
-src_compile() {
+src_configure() {
#gets rid of fbmmx.c inlining warnings
append-flags -finline-limit=1200
if use glitz && use opengl; then
- export glitz_LIBS=-lglitz-glx
+ export glitz_LIBS=$(pkg-config --libs glitz-glx)
fi
econf $(use_enable X xlib) $(use_enable doc gtk-doc) \
@@ -82,12 +74,22 @@ src_compile() {
$(use_enable svg) $(use_enable glitz) $(use_enable X xlib-xrender) \
$(use_enable cairoscript script) $(use_enable sdl) \
$(use_enable debug test-surfaces) --enable-pdf --enable-png \
- --enable-ft --enable-ps
-
- emake || die "compile failed"
+ --enable-ft --enable-ps \
+ || die "configure failed"
}
src_install() {
- emake DESTDIR="${D}" install || die "Installation failed"
+ make DESTDIR="${D}" install || die "Installation failed"
dodoc AUTHORS ChangeLog NEWS README
}
+
+pkg_postinst() {
+ if use xcb; then
+ ewarn "You have enabled the Cairo XCB backend which is used only by"
+ ewarn "a select few apps. The Cairo XCB backend is presently"
+ ewarn "un-maintained and needs a lot of work to get it caught up"
+ ewarn "to the Xrender and Xlib backends, which are the backends used"
+ ewarn "by most applications. See:"
+ ewarn "http://lists.freedesktop.org/archives/xcb/2008-December/004139.html"
+ fi
+}